Add Image Metadata
POST
https://picnie.com/api/v1/add-image-metadataAdd metadata to a JPEG image specified by its URL.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
project_id* | string | The ID of the project. Example: |
image_url* | string | URL of the JPEG image to add metadata to. Example: |
metadata* | object | JSON object containing metadata fields (e.g., ImageDescription, Artist, Software, UserComment, Copyright, Make, Model, DateTimeOriginal). Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/add-image-metadata"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"image_url": "https://drive.google.com/file/d/1z3U5rtvIeRnN3DV9zjnknyomGXdQkOoR/view?usp=sharing",
"project_id": "1867",
"metadata": {
"ImageDescription": "Trip to Silliseth",
"Artist": "Pradeep Soni",
"Software": "Picnie",
"UserComment": "Incredible view from the lake!",
"Copyright": "All rights at Picnie",
"Make": "Picnie API",
"Model": "Picnie",
"DateTimeOriginal": "2025:06:27 10:30:00"
}
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"image_url": "https://picnie.s3.amazonaws.com/user_10/project_1867/input_7026_250628104733_meta.jpg"
}